/* Debugging */
/* *{
        border:black solid 1px;
      }  */

/* Typography added */
@font-face {
  font-family: "Pixelify Sans";
  src: url("https://file.garden/aLN-ozSlNnujKgRD/neocities/Pixelify_Sans/PixelifySans-VariableFont_wght.ttf")
    format("truetype");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Fuzzy Bubbles";
  src: url("https://file.garden/aLN-ozSlNnujKgRD/neocities/Fuzzy_Bubbles/FuzzyBubbles-Regular.ttf")
    format("truetype");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

html, body, a, a:hover, button:hover, iframe:hover { 
  cursor:url('https://www.snazzyspace.com/cursorsfolder/pointer-glove.png'), auto !important; 
  }

body {
   /* On-load state */
  opacity: 0;
  animation: fadeIn 2.5s forwards;
}

/* By ID */
#main {
  padding-top: 40px;
}

#sidebar,
#middle,
#extras {
  color: white !important;
  border: 5px outset #a4a5a4;
  background-color: #5c7526;
  margin-bottom: 25px;
  border-radius: 5px;
}

/* By class */

.code-font{
  font-family: "Pixelify Sans", serif;
}

.handwritten-font{
  font-family: "Fuzzy Bubbles", serif;
}

.btn-custom, .nav-link {
  border-radius: 8px;
  padding: 5px 15px;
  background-color: #7a8a1e !important;
  color: #ffffff !important;
  border: none;
  box-shadow: 0 5px #556b2f !important;
}

.btn-custom:active, .nav-link:active {
  box-shadow: 0 3px #556b2f;
  transform: translateY(4px);
}

.top-bar {
  background-color: #3c4b1c;
  width: 100;
}

/* Animation */

@keyframes fadeIn {
  to {
    opacity: 1;
  }
}